diff --git a/scripts/obs-build.sh b/scripts/obs-build.sh
new file mode 100755
index 0000000000000000000000000000000000000000..6af89f223010ffc7665194370a40498267e23203
--- /dev/null
+++ b/scripts/obs-build.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+#
+# Builds the checked out version in OBS repository
+
+set -o errexit -o nounset -o xtrace
+
+obs_repo=$1
+
+# Clean working tree
+if [[ $(git status --porcelain | wc -l) -ne 0 ]]; then
+    echo "working tree dirty: git clean -dfx && git reset --hard"
+    exit 1
+fi
+
+# Create tarball
+scripts/make-dev-archive.sh
+
+# Submit to OBS
+scripts/make-distrofiles.sh -s
+scripts/build-in-obs.sh $obs_repo
+
+echo "Check results at https://build.opensuse.org/package/show/home:CZ-NIC:$obs_repo/knot-resolver"
diff --git a/scripts/obs-testbuild.sh b/scripts/obs-testbuild.sh
deleted file mode 100755
index e474ff443c1243962bf49561f8f442d4a94fc56d..0000000000000000000000000000000000000000
--- a/scripts/obs-testbuild.sh
+++ /dev/null
@@ -1,38 +0,0 @@
-#!/bin/bash
-#
-# Builds the checked out version in knot-dns-testing OBS repository
-
-set -o errexit -o nounset -o xtrace
-
-force=false
-
-# Read options
-while getopts "f" o; do
-    case "${o}" in
-        f)
-            force=true
-            ;;
-        *)
-            ;;
-    esac
-done
-shift $((OPTIND-1))
-
-# Clean working tree
-if [[ $(git status --porcelain | wc -l) -ne 0 ]]; then
-    if [ "$force" = false ]; then
-        echo "working tree dirty. force clean with '-f'"
-        exit 1
-    fi
-    git clean -dfx
-    git reset --hard
-fi
-
-# Create tarball
-scripts/make-dev-archive.sh
-
-# Submit to OBS
-scripts/make-distrofiles.sh -s
-scripts/build-in-obs.sh knot-resolver-testing
-
-echo "Check results at https://build.opensuse.org/package/show/home:CZ-NIC:knot-resolver-testing/knot-resolver"